﻿@model Portal_Proveedor.Models.Registro.CambioClave
@{
    ViewBag.Title = "RecuperarClave";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Recuperar la Clave</h2>

<br />

<form class="form-horizontal">
    @Html.AntiForgeryToken()
    @Html.HiddenFor(m => m.usuario, new { @id = "usuario" })
    <div class="form-group">

        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Clave de recuperaci&oacute;n:</label>
            </div>
            <div class="col-md-3">
                @Html.TextBoxFor(m => m.claveVieja, new { @class = "form-control input-md", @id = "claveCambia", @name = "claveCambia", type = "password" })
            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Clave nueva:</label>
            </div>
            <div class="col-md-3">
                @Html.TextBoxFor(m => m.claveNueva, new { @class = "form-control input-md", @id = "claveNueva", @name = "claveNueva", @type = "password" })
            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <label class="control-label" for="fname">Confirmaci&oacute;n de la clave nueva:</label>
            </div>
            <div class="col-md-3">
                @Html.TextBoxFor(m => m.confirmacionClave, new { @class = "form-control input-md", @id = "claveNuevaConf", @name = "claveNuevaConf", type = "password" })

            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-3">

            </div>
            <div class="col-md-3">
                <a id="save" name="save" class="btn btn-success" onclick="CambioClave()">Guardar</a>
                &nbsp; &nbsp;
                <button id="clear" name="clear" class="btn btn-danger">Cancelar</button>

            </div>
            <div class="col-md-3"></div>
        </div>
        <br />
    </div>
</form>


<script type="text/javascript">

    var CambioClave = function () {
        $.ajax({
            type: "POST",
            async: false,
            url: '@Url.Action("RecuperacionClave", "Registro")',
            data: {
                usuario: $("#usuario").val(),
                claveVieja: $("#claveCambia").val(),
                claveNueva: $("#claveNueva").val(),
                confirmacionClave: $("#claveNuevaConf").val()
            },
            success: function (data) {
                if (data=== "Se ha cambiado la clave exitosamente.") {
                    alert(data);
                    // Alerta("success", data, 'top');

                    window.location.href = '@Url.Content("~/Home/Index/")';
                }
                else {
                    alert( data);
                   //Alerta("error", data, 'top');
                }
            }
        });
    };

</script>

